From: Emil Velikov via B4 Relay <devnull+emil.l.velikov.gmail.com@kernel.org>
To: linux-firmware@kernel.org
Cc: Emil Velikov <emil.l.velikov@gmail.com>
Subject: [PATCH v2 12/16] copy-firmware.sh: warn if the destination folder is not empty
Date: Mon, 23 Sep 2024 14:09:40 +0100 [thread overview]
Message-ID: <20240923-misc-fixes-v2-12-397f23443628@gmail.com> (raw)
In-Reply-To: <20240923-misc-fixes-v2-0-397f23443628@gmail.com>
From: Emil Velikov <emil.l.velikov@gmail.com>
If the user provides an existing non-empty folder (their /usr/lib/firmware/ or otherwise)
there is a high chance we'll silently overwrite existing files. That may or may not be what
they wanted, so throw a warning so highlight that.
Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
---
copy-firmware.sh | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/copy-firmware.sh b/copy-firmware.sh
index 610c8b65b2b3bdb9f723da3656112ac121e51c84..12b97ae32f953c96a1c7612ccd14b1991a8687bf 100755
--- a/copy-firmware.sh
+++ b/copy-firmware.sh
@@ -16,6 +16,10 @@ err() {
exit 1
}
+warn() {
+ echo "WARNING: $*"
+}
+
while test $# -gt 0; do
case $1 in
-v | --verbose)
@@ -63,6 +67,10 @@ if test -z "$destdir"; then
err "destination directory was not specified"
fi
+if test -d "$destdir"; then
+ find "$destdir" -type d -empty >/dev/null || warn "destination folder is not empty."
+fi
+
# shellcheck disable=SC2162 # file/folder name can include escaped symbols
grep -E '^(RawFile|File):' WHENCE | sed -E -e 's/^(RawFile|File): */\1 /;s/"//g' | while read k f; do
test -f "$f" || continue
--
2.46.1
next prev parent reply other threads:[~2024-09-23 13:09 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-23 13:09 [PATCH v2 00/16] Range of copy-firmware/check_whence fixes Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 01/16] check_whence.py: use consistent naming Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 02/16] check_whence.py: ban link-to-a-link Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 03/16] check_whence.py: LC_ALL=C sort -u the filelist Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 04/16] check_whence.py: annotate replacement strings as raw Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 05/16] editorconfig: add initial config file Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 06/16] Style update yaml files Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 07/16] copy-firmware.sh: flesh out and fix dedup-firmware.sh Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 08/16] Revert "copy-firmware: Support additional compressor options" Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 09/16] copy-firmware.sh: reset and consistently handle destdir Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 10/16] copy-firmware.sh: fix indentation Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 11/16] copy-firmware.sh: add err() helper Emil Velikov via B4 Relay
2024-09-23 13:09 ` Emil Velikov via B4 Relay [this message]
2024-09-23 13:09 ` [PATCH v2 13/16] copy-firmware.sh: call ./check_whence.py before parsing the file Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 14/16] copy-firmware.sh: remove no longer reachable test -f Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 15/16] copy-firmware.sh: remove no longer reachable test -L Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 16/16] copy-firmware.sh: rename variables in symlink hanlding Emil Velikov via B4 Relay
2024-10-10 3:25 ` [PATCH v2 00/16] Range of copy-firmware/check_whence fixes Mario Limonciello
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240923-misc-fixes-v2-12-397f23443628@gmail.com \
--to=devnull+emil.l.velikov.gmail.com@kernel.org \
--cc=emil.l.velikov@gmail.com \
--cc=linux-firmware@kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox